### Function

# Gimp rgba_set

#### Declaration [src]

    void
    gimp_rgba_set (
      GimpRGB* rgba,
      gdouble red,
      gdouble green,
      gdouble blue,
      gdouble alpha
    )

#### Description [src]

Sets the red, green, blue and alpha components of `rgb`. The values should be between 0.0 and 1.0 but there is no check to enforce this and the values are set exactly as they are passed in.

#### Parameters

`rgba` | `GimpRGB`
| A `GimpRGB` struct.
| The data is owned by the caller of the function.
`red` | `gdouble`
| The red component.
`green` | `gdouble`
| The green component.
`blue` | `gdouble`
| The blue component.
`alpha` | `gdouble`
| The alpha component.